Substy Developers
Billing

Get agency creator payout balances

Read payout balances across agency creators. Inspect per-creator results for balances that could not be retrieved.

GET/v1/agencies/{agencyId}/payouts/balances

Read payout balances across agency creators. Inspect per-creator results for balances that could not be retrieved.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/payouts/balances" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "creators": [      {        "creatorId": "string",        "creatorName": "string",        "creatorPlatform": "string",        "balance": null,        "error": null      }    ],    "totalAvailable": 0,    "totalPending": 0,    "currency": "string",    "successCount": 0,    "errorCount": 0  },  "meta": {    "requestId": "string"  }}